Data Infrastructure Management Software Discussions

Highlighted

OCUM 7.0 failed to install on RHEL 6.5

Hello,

 

I have read a several issues with permissions and MySql versions.

The permissions on /opt and subdirs are 755

and MySQL version is mysql-community-client-5.6.35-2.el6.x86_64.rpm for example

 

Error code:

 

Dependencies Resolved

=======================================================================================================================================================================
 Package                                Arch                Version                           Repository                                                          Size
=======================================================================================================================================================================
Installing:
 netapp-application-server              x86_64              1.4.0-2016.09.J2286               /netapp-application-server-1.4.0-2016.09.J2286.x86_64              126 M
 netapp-node                            x86_64              4.4.7-1609210700                  /node.x86_64                                                        12 M
 netapp-ocum                            x86_64              7.0-1609210700                    /netapp-ocum-7.0-x86_64                                            511 M
 netapp-platform-base                   x86_64              1.4.0-2016.09.J2286               /netapp-platform-base-1.4.0-2016.09.J2286.el6.x86_64               3.2 M
 ocie-au                                x86_64              1.4.0-2016.08.J2307               /ocie-au-1.4.0-2016.08.J2307.x86_64                                 26 M
 ocie-server                            x86_64              1.4.0-2016.08.J2307               /ocie-server-1.4.0-2016.08.J2307.x86_64                             15 M
 ocie-serverbase                        x86_64              1.4.0-2016.09.J2286               /ocie-serverbase-1.4.0-2016.09.J2286.x86_64                        118
 rp                                     x86_64              1.0-1609210700                    /rp.x86_64                                                         4.3 M

Transaction Summary
=======================================================================================================================================================================
Install       8 Package(s)

Total size: 697 M
Installed size: 697 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : netapp-node-4.4.7-1609210700.x86_64                                                                                                                 1/8
Creating NodeJS Base directory
Starting Nodejs installation
Setting environment parameters
Finished installing Nodejs
  Installing : ocie-serverbase-1.4.0-2016.09.J2286.x86_64                                                                                                          2/8
  Installing : netapp-application-server-1.4.0-2016.09.J2286.x86_64                                                                                                3/8
  Installing : netapp-platform-base-1.4.0-2016.09.J2286.x86_64                                                                                                     4/8
warning: %post(netapp-platform-base-1.4.0-2016.09.J2286.x86_64) scriptlet failed, exit status 141
Non-fatal POSTIN scriptlet failure in rpm package netapp-platform-base-1.4.0-2016.09.J2286.x86_64

FAILURE: netapp-platform-base package is installed, but in corrupt state. Install netapp-platform-base package and try again.

error: %pre(ocie-server-0:1.4.0-2016.08.J2307.x86_64) scriptlet failed, exit status 255
Error in PREIN scriptlet in rpm package ocie-server-1.4.0-2016.08.J2307.x86_64
error:   install: %pre scriptlet failed (2), skipping ocie-server-0:1.4.0-2016.08.J2307

ocie-server package is not installed. Install ocie-server package and try again.

error: %pre(ocie-au-0:1.4.0-2016.08.J2307.x86_64) scriptlet failed, exit status 255
Error in PREIN scriptlet in rpm package ocie-au-1.4.0-2016.08.J2307.x86_64
error:   install: %pre scriptlet failed (2), skipping ocie-au-0:1.4.0-2016.08.J2307
  Installing : rp-1.0-1609210700.x86_64                                                                                                                            7/8
Starting Reverse Proxy installation
Finished installing Reverse Proxy


FAILURE: ocie-au package is not installed. Install ocie-au package and try again.
         Installer will exit now.


error: %pre(netapp-ocum-7.0-1609210700.x86_64) scriptlet failed, exit status 255
Error in PREIN scriptlet in rpm package netapp-ocum-7.0-1609210700.x86_64
error:   install: %pre scriptlet failed (2), skipping netapp-ocum-7.0-1609210700
Uploading Package Profile
  Verifying  : ocie-serverbase-1.4.0-2016.09.J2286.x86_64                                                                                                          1/8
  Verifying  : netapp-platform-base-1.4.0-2016.09.J2286.x86_64                                                                                                     2/8
  Verifying  : netapp-node-4.4.7-1609210700.x86_64                                                                                                                 3/8
  Verifying  : rp-1.0-1609210700.x86_64                                                                                                                            4/8
  Verifying  : netapp-application-server-1.4.0-2016.09.J2286.x86_64                                                                                                5/8
  Verifying  : ocie-server-1.4.0-2016.08.J2307.x86_64                                                                                                              6/8
  Verifying  : ocie-au-1.4.0-2016.08.J2307.x86_64                                                                                                                  7/8
  Verifying  : netapp-ocum-7.0-1609210700.x86_64                                                                                                                   8/8

Installed:
  netapp-application-server.x86_64 0:1.4.0-2016.09.J2286        netapp-node.x86_64 0:4.4.7-1609210700        netapp-platform-base.x86_64 0:1.4.0-2016.09.J2286
  ocie-serverbase.x86_64 0:1.4.0-2016.09.J2286                  rp.x86_64 0:1.0-1609210700

Failed:
  netapp-ocum.x86_64 0:7.0-1609210700                  ocie-au.x86_64 0:1.4.0-2016.08.J2307                  ocie-server.x86_64 0:1.4.0-2016.08.J2307

Complete!
1 REPLY 1
Highlighted

Re: OCUM 7.0 failed to install on RHEL 6.5

Just run into this myself, did you get anywhere with this in the end?

Try the NEW Support Site!
NetApp Support Site
Forums